Subject: Re: [PATCH 1/9] diff-merges: introduce --diff-merges=def

From: Junio C Hamano <[email-masked]>
Date: Thu, 08 Apr 2021 10:27:48 -0700

Sergey Organov <[email-masked]> writes:

> Hi,
>
> Philip Oakley <[email-masked]> writes:
>> Hi,
>>
>> On 07/04/2021 23:56, Sergey Organov wrote:
>>> Introduce the notion of default diff format for merges, and the option
>>> "def" to select it. The default is "separate" and can't yet be
>> "def" feels a bit too short and sounds similar to "define" - why not
>> spell out in full?
>
> Dunno, it just happened. No sound reason. Will change to "default" for
> the next re-roll.

I do not immediately see the point of writing --diff-merges=default
on the command line in the first place.  If what it calls for is the
default, wouldn't it be easier to just leave it out?

But if we have to have it as one of the choice, please do not invent
such an abbreviation, especially without taking the fully-spelled
form.

Thanks.